com.io7m.smfj.processing.api

## Class SMFAttributeArrayIntegerSigned4

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayIntegerSigned4

- All Implemented Interfaces:
    SMFAttributeArrayIntegerSigned4Type, SMFAttributeArrayType

      @Generated(value={"Immutables.generator","SMFAttributeArrayIntegerSigned4Type"})
      public final class SMFAttributeArrayIntegerSigned4
      extends Object
      implements SMFAttributeArrayIntegerSigned4Type

  The type of 4-element signed integer arrays.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SMFAttributeArrayIntegerSigned4.Builder` Builds instances of type `SMFAttributeArrayIntegerSigned4`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFAttributeArrayIntegerSigned4.Builder` | `builder()` Creates a builder for `SMFAttributeArrayIntegerSigned4`.
    `static SMFAttributeArrayIntegerSigned4` | `copyOf(SMFAttributeArrayIntegerSigned4Type instance)` Creates an immutable copy of a `SMFAttributeArrayIntegerSigned4Type` value.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `SMFAttributeArrayIntegerSigned4` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `values`.
    `static SMFAttributeArrayIntegerSigned4` | `of(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L> values)` Construct a new immutable `SMFAttributeArrayIntegerSigned4` instance.
    `String` | `toString()` Prints the immutable value `SMFAttributeArrayIntegerSigned4` with attribute values.
    `javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L>` | `values()`
    `SMFAttributeArrayIntegerSigned4` | `withValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L> value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.smfj.processing.api.SMFAttributeArrayIntegerSigned4Type

      `matchArray, size`

- - ### Method Detail

    - #### values

          public javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L> values()

      Specified by:
        `values` in interface `SMFAttributeArrayIntegerSigned4Type`
      Returns:
        The array values

    - #### withValues

          public SMFAttributeArrayIntegerSigned4 withValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L> value)

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `SMFAttributeArrayIntegerSigned4` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `values`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `SMFAttributeArrayIntegerSigned4` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static SMFAttributeArrayIntegerSigned4 of(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4L> values)

      Construct a new immutable `SMFAttributeArrayIntegerSigned4` instance.
      Parameters:
        `values` - The value for the `values` attribute
      Returns:
        An immutable SMFAttributeArrayIntegerSigned4 instance

    - #### copyOf

          public static SMFAttributeArrayIntegerSigned4 copyOf(SMFAttributeArrayIntegerSigned4Type instance)

      Creates an immutable copy of a `SMFAttributeArrayIntegerSigned4Type` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
      Parameters:
        `instance` - The instance to copy
      Returns:
        A copied immutable SMFAttributeArrayIntegerSigned4 instance

    - #### builder

          public static SMFAttributeArrayIntegerSigned4.Builder builder()

      Creates a builder for `SMFAttributeArrayIntegerSigned4`.
      Returns:
        A new SMFAttributeArrayIntegerSigned4 builder

Copyright © 2017 <code@io7m.com> http://io7m.com